LcaoCartoon
Date: 2019-10-22

org.jmol.shapesurface

## Class LcaoCartoon

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.MeshCollection
    - - org.jmol.shapesurface.Isosurface
      - - org.jmol.shapesurface.LcaoCartoon

- All Implemented Interfaces:
    MeshDataServer, VertexDataServer

      public class LcaoCartoon
      extends Isosurface

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `cappingObject`
    `private java.lang.String` | `fullCommand`
    `(package private) boolean` | `isLonePair`
    `private boolean` | `isMolecular`
    `(package private) boolean` | `isRadical`
    `private java.lang.Integer` | `lcaoColorNeg`
    `private java.lang.Integer` | `lcaoColorPos`
    `private java.lang.String` | `lcaoID`
    `private java.lang.Float` | `lcaoScale`
    `private boolean` | `lcaoTranslucent`
    `private float` | `lcaoTranslucentLevel`
    `private int` | `myColorPt`
    `private javajs.util.V3` | `rotationAxis`
    `private java.lang.Object` | `slabbingObject`
    `private javajs.util.BS` | `thisSet`
    `private java.lang.String` | `thisType`

    - ### Fields inherited from class org.jmol.shapesurface.Isosurface

      `allowMesh, iHaveBitSets, isomeshes, jvxlData, keyXy, sg, thisMesh`

    - ### Fields inherited from class org.jmol.shape.MeshCollection

      `bsDisplay, colix, color, connections, currentMesh, displayWithinDistance2, displayWithinPoints, explicitID, htObjects, isDisplayWithinNot, isFixed, linkedMesh, meshCount, meshes, modelIndex, nUnnamed, pickedMesh, pickedModel, pickedPt, pickedVertex, PREVIOUS_MESH_ID, previousMeshID, title`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LcaoCartoon()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `createLcaoCartoon()`
    `private void` | `createLcaoCartoon(int iAtom)`
    `private void` | `deleteLcaoCartoon()`
    `private void` | `deleteLcaoCartoon(int iAtom)`
    `private java.lang.String` | `getID(java.lang.String id, int i)`
    `java.lang.String` | `getShapeState()`
    `void` | `initShape()`
    `void` | `merge(MeshCollection shape)` called by ParallelProcessor at completion
    `private void` | `setLcaoOn(boolean TF)`
    `private void` | `setLcaoOn(int iAtom, boolean TF)`
    `void` | `setProperty(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bs)`

    - ### Methods inherited from class org.jmol.shapesurface.Isosurface

      `addMeshInfo, addRequiredFile, addTriangleCheck, addVertexCopy, allocMesh, calculateGeodesicSurface, checkObjectClicked, checkObjectHovered, clearSg, discardTempData, fillMeshData, getCapSlabInfo, getCmd, getPlane, getPolygonColorData, getProperty, getPropertyData, getPropI, getShapeDetail, getSurfacePointIndexAndFraction, getValue, invalidateTriangles, newSg, notifySurfaceGenerationCompleted, notifySurfaceMappingCompleted, setOutputChannel, setPropI, setRequiredFile, setScriptInfo, slabPolygons`

    - ### Methods inherited from class org.jmol.shape.MeshCollection

      `checkExplicit, clean, deleteMeshI, deleteMeshKey, getIndexFromName, getMesh, getMeshList, getPickedPoint, getPropDataMC, getPropMC, resetObjects, setModelVisibilityFlags, setPropMC, setStatusPicked, setTokenProperty`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getPropShape, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### thisType

          private java.lang.String thisType

    - #### myColorPt

          private int myColorPt

    - #### lcaoID

          private java.lang.String lcaoID

    - #### thisSet

          private javajs.util.BS thisSet

    - #### isMolecular

          private boolean isMolecular

    - #### rotationAxis

          private javajs.util.V3 rotationAxis

    - #### lcaoScale

          private java.lang.Float lcaoScale

    - #### lcaoTranslucent

          private boolean lcaoTranslucent

    - #### lcaoTranslucentLevel

          private float lcaoTranslucentLevel

    - #### lcaoColorPos

          private java.lang.Integer lcaoColorPos

    - #### lcaoColorNeg

          private java.lang.Integer lcaoColorNeg

    - #### isLonePair

          boolean isLonePair

    - #### isRadical

          boolean isRadical

    - #### cappingObject

          private java.lang.Object cappingObject

    - #### slabbingObject

          private java.lang.Object slabbingObject

    - #### fullCommand

          private java.lang.String fullCommand

  - ### Constructor Detail

    - #### LcaoCartoon

          public LcaoCartoon()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Overrides:
        `initShape` in class `Isosurface`

    - #### setProperty

          public void setProperty(java.lang.String propertyName,
                                  java.lang.Object value,
                                  javajs.util.BS bs)

      Overrides:
        `setProperty` in class `Isosurface`

    - #### setLcaoOn

          private void setLcaoOn(boolean TF)

    - #### setLcaoOn

          private void setLcaoOn(int iAtom,
                                 boolean TF)

    - #### deleteLcaoCartoon

          private void deleteLcaoCartoon()

    - #### deleteLcaoCartoon

          private void deleteLcaoCartoon(int iAtom)

    - #### createLcaoCartoon

          private void createLcaoCartoon()

    - #### createLcaoCartoon

          private void createLcaoCartoon(int iAtom)

    - #### getID

          private java.lang.String getID(java.lang.String id,
                                         int i)

    - #### getShapeState

          public java.lang.String getShapeState()

      Overrides:
        `getShapeState` in class `Isosurface`

    - #### merge

          public void merge(MeshCollection shape)

      Description copied from class: `MeshCollection`
      called by ParallelProcessor at completion
      Overrides:
        `merge` in class `MeshCollection`